This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 17059 - <track> The cues don't seem to be cleared when setting a new src="".
Summary: <track> The cues don't seem to be cleared when setting a new src="".
Status: RESOLVED FIXED
Alias: None
Product: WHATWG
Classification: Unclassified
Component: HTML (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: Unsorted
Assignee: Ian 'Hixie' Hickson
QA Contact: contributor
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-15 11:36 UTC by contributor
Modified: 2013-06-06 03:16 UTC (History)
5 users (show)

See Also:


Attachments

Description contributor 2012-05-15 11:36:53 UTC
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/the-video-element.html
Multipage: http://www.whatwg.org/C#sourcing-out-of-band-text-tracks
Complete: http://www.whatwg.org/c#sourcing-out-of-band-text-tracks

Comment:
The cues don't seem to be cleared when setting a new src="".

Posted from: 88.131.66.80 by simonp@opera.com
User agent: Opera/9.80 (Macintosh; Intel Mac OS X 10.7.3; U; en) Presto/2.10.229 Version/11.62
Comment 1 Philip J├Ągenstedt 2012-05-23 08:24:50 UTC
What we've implemented is to clear the cues synchronously when setting a new source, but to start loading asynchronously. Unless this is silly, this is what we'd like to have spec'd.
Comment 2 Simon Pieters 2012-05-23 09:47:37 UTC
Please spec this as prose outside the loading algorithm, saying something like

"When the src attribute is set, changed, or removed, all cues in the track element's TextTrack's TextTrackCueList object must be removed."

(Doing it in the loading algorithm at the monitoring step means that if you change src, add a cue, and change src again, that cue won't be dropped, because the algorithm has moved on to the waiting step, which doesn't match my expectation or what Philip implemented.)
Comment 3 contributor 2012-07-18 17:35:09 UTC
This bug was cloned to create bug 18181 as part of operation convergence.
Comment 4 Silvia Pfeiffer 2013-06-06 03:16:31 UTC
Note: Fixed as part of http://html5.org/tools/web-apps-tracker?from=7325&to=7326